import javax.swing.*;

/**
 * A thread example with wait and notify. 
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadMain {
	public static void main(String[] args){
	
	ColoredComponent component = new ColoredComponent();

	// Set up threaded objects, giving them access to component to allow
	// them to change color.
	ThreadOne threadOne = new ThreadOne(component);
	ThreadTwo threadTwo = new ThreadTwo(component);
	ThreadThree threadThree = new ThreadThree(component);

	// Give component access to the threaded objects so that it can start them.
	component.setThreads(threadOne, threadTwo, threadThree);
	
	// Set up the graphics frame
	JFrame frame = new JFrame("Flipping colors!");       
	frame.getContentPane().add(component);        
	frame.setSize(400,400);                                    
	frame.setVisible(true);                                    

	}
}