import java.awt.Color;

/**
 * Here the threaded object plays with the graphics using methods
 * for ColoredComponent.
 * 
 * For detail see ThreadOne.java
 * 
 * Simon Parsons
 * 4th November
 *
 */
class ThreadTwo implements Runnable{
	
	private Thread myThread;
	private ColoredComponent gComponent;
	
	public ThreadTwo(ColoredComponent component){
		gComponent = component;
		myThread = new Thread(this);
	}
	
	public void start(){
		myThread.start();
	}
	
	public void run(){
		while(true){
			System.out.println("Two!");
			gComponent.changeColor(Color.blue);
			gComponent.changePositionX();
			try{
				myThread.sleep(100);
			}
			catch(InterruptedException e){
				// Guess we won't get to sleep after all
			}
		}	
	}
}	