import java.awt.Color;

/**
 * This threaded object is like ThreadOne and ThreadTwo, but exploits the wait()s
 * that they are subject to. It grabs control of the ellipse for a while before
 * calling notify.
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadThree implements Runnable{
	
	private int counter = 1;
	private Thread myThread;
	private ColoredComponent gComponent;
	
	public ThreadThree(ColoredComponent component){
		gComponent = component;
		myThread = new Thread(this);
	}
	
	public void start(){
		myThread.start();
	}
	
	public void run(){
		while(true){
			System.out.println("Three!");
			gComponent.changeColor(Color.green);
			try{
				myThread.sleep(1000);
				if(counter%5 == 0)
					{
						// Calling notify will wake up one of ThreadOne
						// and ThreadTwo
						gComponent.notifier();
					}
				counter++;
			}
			catch(InterruptedException e){
				// Guess we won't get to sleep after all
			}
		}	
	}
}	